1. Addresses
  • Overview
  • Packages
    • Create a shipment
      POST
    • Generate an AWB PDF for one or more packages
      POST
    • Get a package's current status
      GET
    • Get a package's full status history
      GET
    • List the possible package statuses
      GET
    • Cancel a package
      PUT
    • Return a package to sender
      PUT
    • List the company's service types
      GET
    • Calculate a shipment's delivery cost
      POST
    • List the company's vehicle types
      GET
    • List the company's parcel types
      GET
  • Webhooks
    • Package Status Webhook
  • Addresses
    • List the company's address book
      GET
    • List regions
      GET
    • List a region's cities
      GET
    • List a city's villages
      GET
    • List villages
      GET
  • Schemas
    • NoteMessage
    • AddressDto
    • IntegrationPackageRequestDto
    • ParcelType
    • IntegrationAddressDto
    • CitiesTripsTimeSchedule
    • IntegrationShipmentDto
    • CreatingPackageDto
    • MainCitiesTripsTimeSchedule
    • PackageItemsToDeliver
    • PackageIdentifiersWrapper
    • Address
    • LocalizedKeyData
    • CodChangeRequest
    • PackageStatusResponse
    • Customer
    • CustomerPromo
    • GeofenceData
    • CustomersPaymentTypes
    • DeliveryPaymentType
    • Device
    • DriverFailFollowUp
    • LabelConditionDto
    • LabelDto
    • LclSupplier
    • LenDetails
    • Location
    • MandatoryPackageFieldsConfig
    • NamedObject
    • NoteMessageInfo
    • Package
    • PackageApprovalFail
    • PackageApprovalPostpone
    • PackageApprovalReturn
    • PackageContent
    • PackageContentItem
    • PackageDevice
    • PackageFailure
    • PackageItem
    • PackageLocationMessage
    • PackageTrackingNodeMessage
    • PackageTrackingStatusCount
    • PalShipRole
    • PartnerConfigDto
    • PartnerDto
    • PostponePackageMessageInfo
    • Product
    • ProductExpiryBatchLot
    • ProductVariant
    • ProductVariantOption
    • ServiceType
    • SmsGateway
    • SubPackage
    • User
    • UserAttachmentsDto
    • Vehicle
    • VehicleType
    • GetPackageCostMessage
    • JettShippingRate
    • JettShippingRateDetails
    • NameAndIdDto
    • Region
    • City
    • Village
    • ModelTableMessageVillage
    • MoneyInfoDto
  1. Addresses

List regions

GET
/secure/integration/address/regions
Regions configured for this company — use id when filling in originAddress/destinationAddress on a shipment.

Request

Authorization
API Key
Add parameter in header
X-API-Key
Example:
X-API-Key: ********************
or
Query Params

Responses

🟢200Success
*/*
Region list
Body*/*

🟠401Unauthorized
Request Request Example
Shell
JavaScript
Java
Swift
curl --location 'https://apisv5.logestechs.com/api/secure/integration/address/regions?search=' \
--header 'X-API-Key: <api-key>'
Response Response Example
200 - Example 1
[
    {
        "createdDate": "2019-08-24T14:15:22.123Z",
        "id": 0,
        "companyId": 0,
        "name": "string",
        "arabicName": "string",
        "englishName": "string",
        "isAddedByUser": true,
        "isSelected": true,
        "geofenceData": {
            "createdDate": "2019-08-24T14:15:22.123Z",
            "id": 0,
            "companyId": 0,
            "geofenceColor": "string",
            "geofencePoints": [
                [
                    0
                ]
            ],
            "type": "COMPANIES_VILLAGE",
            "geofence": "string"
        },
        "geofenceDataId": 0,
        "prefix": "string"
    }
]
Modified at 2026-09-28 08:12:32
Previous
List the company's address book
Next
List a region's cities
Built with